<?php

require_once(realpath(dirname(__FILE__)) . '/Multisquelettes.class.php');

include_once(realpath(dirname(__FILE__)) . "/../../../fonctions/authplugins.php");
autorisation(Multisquelettes::MODULE);

class MultisquelettesAdmin extends Multisquelettes
{
    var $redirect;
    var $dirs;
    var $erreur;
    var $basedir;

    function MultisquelettesAdmin()
    {
        parent::Multisquelettes();

        $this->redirect = false;
        $this->dirs = array();
        $this->erreur = false;
        $this->basedir = false;
    }

    public function update_config()
    {
        foreach($_REQUEST as $var => $value)
        {
            if (! preg_match('/^'.self::PREFIXE.'/', $var)) continue;

            if ($var == 'ms_actifs')
            {
            	$value = implode(',', $value);
            }

            $this->delete_variable($var);
            $this->create_variable($var, $value);
        }

        // FIXME$this->redirect = true;

        if (class_exists('CacheBase')) CacheBase::getCache()->reset_cache();
    }

    public function prepare_page()
    {
    	$dir = '../' . $this->get_variable('ms_basedir');

    	if ($dir == '../')
    	{
    		$this->erreur = "Indiquez ci-dessous le répertoire qui contient vos squelettes.";
    	}
    	else if ($dh = @opendir($dir))
    	{
    		while ( ($file = readdir($dh)) !== false)
    		{
    			if ($file == '..' || $file == '.' || ! is_dir("$dir/$file")) continue;

    			$this->dirs[] = $file;
    		}

    		@closedir($dh);

    		sort($this->dirs);

    		$this->basedir = $dir;
    	}
    	else
    	{
    		$this->erreur = "Le répertoire des squelettes ne peut pas être lu.";
    	}
    }

    public function make_yes_no_radio($var_name)
    {
        $val = $this->get_variable($var_name);

        echo '<input type="radio" name="'.$var_name.'" value="1"'.($val == 1 ? ' checked="checked"':'').'>Oui
              <input type="radio" name="'.$var_name.'" value="0"'.($val == 0 ? ' checked="checked"':'').'>Non';
    }

    public function select_options($sourcevar) {

		echo '<option value="'.Multisquelettes::REP_THELIA_DEFAUT.'" ' . ($file == Multisquelettes::REP_THELIA_DEFAUT ? 'selected="selected"' : '') . '> Template Thelia de base</option>';

		$def = $this->get_variable($sourcevar);

		foreach($this->dirs as $file)
		{
			echo '<option value="'.$file.'" '.($file == $def ? 'selected="selected"' : '').'>'.$file.'</option>';
		}
    }
}

// -- MAIN -------------------------------------------------------------------------------------

    $adm = new MultisquelettesAdmin();

    $command = $_REQUEST['_ms_commande'];

    switch($command)
    {
        case 'maj_config' :
            $adm->update_config();
        break;
    }

    if ($adm->redirect)
    {
        ?>
        <script type="text/javascript">
            self.location = "module.php?nom=<?php echo Multisquelettes::MODULE?>";
        </script>
        <?php

        exit();
    }

    $adm->prepare_page();
?>

<script type="text/javascript" src="../lib/jquery/jquery.js"></script>

<script type="text/javascript">

    function ms_submit_form()
    {
    	if ($('#ms_basedir').val() == '')
    	{
    		alert("Vous devez indiquer le répertoire contenant les squelettes.");

    		$('#ms_basedir').focus();

    		return false;
    	}

    	$('#ms_form').submit();
     }
</script>

<div id="contenu_int">
	<p>
		<a class="lien04" href="accueil.php">Accueil</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module_liste.php">Modules</a>
		<img width="12" height="9" border="0" src="gfx/suivant.gif"><a class="lien04" href="module.php?nom=<?php echo Multisquelettes::MODULE?>"><?php echo Multisquelettes::NOMMODULE?> v<?php echo Multisquelettes::VERSION ?></a>
	</p>

    <div id="bloc_description" style="width: 50%; float: left;">

        <form method="get" action="<?php echo $_SERVER['PHP_SELF'] ?>" id="ms_form">
	        <input type="hidden" name="nom" value="<?php echo Multisquelettes::MODULE?>" />
	        <input type="hidden" name="_ms_commande" id="_ms_commande" value="maj_config" />

			<div class="entete">
				<div class="titre">CONFIGURATION</div>
				<div class="fonction_valider"><a href="#" onclick="ms_submit_form(); return false;">VALIDER LES MODIFICATIONS</a></div>
			</div>

	        <table width="100%" cellpadding="5" cellspacing="0">
	        <?php if ($adm->erreur) { ?>
	 			<tr class="fonce">
					<td class="designation">Problème</td>
					<td><span style="color: red;"><?php echo $adm->erreur; ?></span></td>
				</tr>
				<?php } ?>

	 			<tr class="claire">
					<td class="designation">Activer le plugin</td>
					<td><?php $adm->make_yes_no_radio('ms_activer') ?></td>
				</tr>

	 			<tr class="fonce">
					<td class="designation">Repertoire des squelettes<div style="font-size: 0.8em">A partir de la racine de votre Thelia</div></td>
					<td><input type="text" id="ms_basedir" name="ms_basedir" value="<?php echo $adm->get_variable('ms_basedir') ?>" /></td>
				</tr>

				<?php if ($adm->basedir) { ?>

	 			<tr class="claire">
					<td class="designation">Squelette par défaut<div style="font-size: 0.8em">C'est le squelette présenté aux visiteurs arrivant sur votre Thelia</div></td>
					<td><select name="ms_defaut" id="ms_defaut">
						<?php $adm->select_options('ms_defaut') ?>
					</select></td>
				</tr>

	 			<tr class="claire">
					<td class="designation">Squelette par défaut pour clients mobiles<div style="font-size: 0.8em">C'est le squelette présenté aux visiteurs arrivant sur votre Thelia depuis un client mobile</div></td>
					<td><select name="ms_mobile" id="ms_mobile">
						<?php $adm->select_options('ms_mobile') ?>
					</select></td>
				</tr>

	 			<tr class="fonce">
					<td class="designation">Répertoire des fichiers communs<div style="font-size: 0.8em">C'est le répertoire où le plugin cherche les fichiers absents des autres squelettes</div></td>
					<td><select name="ms_common" id="ms_common">
						<?php $adm->select_options('ms_common') ?>
					</select></td>
				</tr>

	 			<tr class="claire">
					<td class="designation">Squelettes actifs<div style="font-size: 0.8em">Les squelettes par défaut sont toujours actifs.</div></td>
					<td>
						<?php
						$actifs = explode(',', $adm->get_variable('ms_actifs'));

						foreach($adm->dirs as $file)
						{
							echo '<input type="checkbox" value="'.$file.'" name="ms_actifs[]"'.(in_array($file, $actifs) ? 'checked="checked"' : '').' />'.$file.'<br />';
						}
						?>

					</td>
				</tr>

	 			<tr class="foncebottom">
					<td class="designation">Debug actif<div style="font-size: 0.8em">Affiche sur la page les informations de debug du plugin, pour mieux comprendre comment le plugin détermine les templates a utiliser.</div></td>
					<td><?php $adm->make_yes_no_radio('ms_debug') ?>
				</tr>

				<?php } ?>

	       	 </table>
         </form>
     </div>

	<div id="bloc_description" style="float: right; width: 48%">

		<div class="entete">
			<div class="titre">INFORMATION</div>
		</div>

       	<table width="100%" cellpadding="5" cellspacing="0">

       	    <tr class="clairebottom">
                <td>
                <p>Ce plugin vous permet d'utiliser plusieurs squelettes HTML différents sur votre Thelia.
                Le squelette actif peut-être modifié en cours de navigation,
                ce qui permet donc de changer l'aspect de votre site à la volée.</p>
 				<p>Pour ce faire, vous devez créer sur votre serveur un répertoire qui contiendra les jeux de
				squelettes que vous souhaitez utiliser.</p>
				<p>Ce répertoire contiendra un sous-répertoire par squelette. Chacun de ces sous répertoire contient
				les fichiers HTML constituant le squelette.</p>
				<p>Pour changer de squelette en temps réel, il suffit de passer le paramètre squelette=nom_sous_repertoire dans
				l'URL d'une de vos page. Le squelette courant est alors remplacé par le squelette indiqué.</p>
                <p><a href="../client/plugins/<?php echo Multisquelettes::MODULE?>/readme-viewer.php" target="readme">Lire le fichier LISEZMOI</a> du plugin.</p>
                </td>
       	    </tr>
        </table>
	</div>

	<p style="clear: both; margin-top: 10px;color:#505050;font-size:9px;text-align:left;">Plugin Thelia réalisé par <a href="http://www.cqfdev.fr" target="_blank">Franck Allimant / CQFDev</a>. Contact: <a href="http://www.cqfdev.fr" target="_blank">www.cqfdev.fr</a> - +33(0)6.62.38.28.69</p>

</div>
